# Common part of Makefiles for tests (linux mode)

include ../../config-unx.mk

# Includes directories
INCLS = -I../.. -I../h -I$(LOKI_INCLUDES) -I$(DBUS_INCLUDES) -I$(DBUS_DEP_INCLUDES) -I$(BOOST_INCLUDES)

ifeq (${USE_INTERFACE}, DBUS) 
UNIX_ADD_LIBS = -L$(DBUS_LIB) -ldbus-1
else
UNIX_ADD_LIBS = -lX11 -lXdmcp -lXau
endif

# Libraries direcrories
LIBS = -L../.. -L$(LOKI_LIB) -L$(BOOST_LIB) -lppskype ${UNIX_ADD_LIBS} -lpthread -lloki -lboost_unit_test_framework -lboost_regex -lboost_date_time -lpthread 

## DON'T CHANGE ANYTHING AFTER THIS LINE
## IF YOU ARE NOT REALLY KNOW WHAT YOU ARE DOING
CFLAGS	= ${UNIX_CFLAGS} -O3   

.PHONY: clean_common doc ref 

%.obj: %.cpp 
	$(CCP) -c $(CFLAGS) $(INCLS) $^ -o $@

ref:
	cscope -b *.cpp *.h

clean_common:
	-$(RM) *.obj
	-$(RM) *.d
	-$(FIND) . -name core -exec rm -f {} ';' 
